USN-5673-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5673-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5673-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5673-1
Related
Published
2022-10-13T09:26:04.420796Z
Modified
2022-10-13T09:26:04.420796Z
Summary
unzip vulnerabilities
Details

It was discovered that unzip did not properly handle unicode strings under certain circumstances. If a user were tricked into opening a specially crafted zip file, an attacker could possibly use this issue to cause unzip to crash, resulting in a denial of service, or possibly execute arbitrary code. (CVE-2021-4217)

It was discovered that unzip did not properly perform bounds checking while converting wide strings to local strings. If a user were tricked into opening a specially crafted zip file, an attacker could possibly use this issue to cause unzip to crash, resulting in a denial of service, or possibly execute arbitrary code. (CVE-2022-0529, CVE-2022-0530)

References

Affected packages

Ubuntu:20.04:LTS / unzip

Package

Name
unzip

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
6.0-25ubuntu1.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "unzip": "6.0-25ubuntu1.1"
        }
    ]
}

Ubuntu:22.04:LTS / unzip

Package

Name
unzip

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
6.0-26ubuntu3.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "unzip": "6.0-26ubuntu3.1"
        }
    ]
}

Ubuntu:Pro:14.04:LTS / unzip

Package

Name
unzip

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
6.0-9ubuntu1.6+esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "unzip": "6.0-9ubuntu1.6+esm1"
        }
    ]
}

Ubuntu:18.04:LTS / unzip

Package

Name
unzip

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
6.0-21ubuntu1.2

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "unzip": "6.0-21ubuntu1.2"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / unzip

Package

Name
unzip

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
6.0-20ubuntu1.1+esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "unzip": "6.0-20ubuntu1.1+esm1"
        }
    ]
}